For the complete documentation index, see llms.txt. This page is also available as Markdown.

API Documentation

Getting Started

Parvenu's REST API allows you to enrich for company and contact information. We use an API key in the body for authentication.

Endpoints

Enrich a Contact

POST https://data.parvenu.io/api-product/incoming-webhook/find-emails-first-last

This endpoint allows you to get Business Emails from First Name, Last Name, and Domain.

Request Body

Name
Type
Description

api_key

string

API Key

first_name

string

The First Name you want enriched for the Business Email.

last_name

string

The Last Name you want enriched for the Business Email.

domain

string

The Domain of the Company

{
	"email": "[email protected]"
}
[]
Emails from Full Name + Domain

Enrich Domain

POST https://data.parvenu.io/api-product/incoming-webhook/enrich-company

This endpoint allows you to get contacts and their contact info from a Domain.

Request Body

Name
Type
Description

api_key

string

API Key

domain

string

The Domain you want enriched for contact info

Don't use "https://www." when passing data to this endpoint.

Emails from Companies

Find Domain

POST https://data.parvenu.io/api-product/incoming-webhook/convert-company-names

This endpoint allows you to get Domains from a Company name.

Request Body

Name
Type
Description

api_key

string

API Key

company_name

string

The Company with a missing Domain

Emails from Companies

Scrape from Websites

POST https://data.parvenu.io/api-product/incoming-webhook/extract-emails-from-urls

This endpoint allows you to get emails, phone numbers, and social media URLs from Domains.

Request Body

Name
Type
Description

api_key

string

API Key

url

string

The Website you want enriched for contact info

Use "https://www." when passing data to this endpoint.

Scrape from Domains

Last updated